This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 676733 - crash while adding a new user to be synced to windows
crash while adding a new user to be synced to windows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: screened
Depends On: 676689
Blocks: 639035 389_1.2.8 676871
  Show dependency treegraph
 
Reported: 2011-02-10 18:37 EST by Rich Megginson
Modified: 2015-01-04 18:46 EST (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.8-0.3.a3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 676689
Environment:
Last Closed: 2011-05-19 08:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2011-02-10 18:37:29 EST
+++ This bug was initially created as a clone of Bug #676689 +++

Description of problem:

I set up windows sync (2008 R2).  Initial sync went ok.  I added an ntUser to the DS side - when it went to sync it crashed with an assertion abort in ldap_next_entry() in windows_search_entry_ext().  It seems that openldap ldap_next_entry(LDAP *, LDAPMessage *entry) does not like entry == NULL - it asserts and aborts, while mozldap ldap_next_entry will just return NULL in that case.

--- Additional comment from rmeggins@redhat.com on 2011-02-10 17:28:04 EST ---

Created attachment 478135 [details]
0001-Bug-676689-crash-while-adding-a-new-user-to-be-synce.patch
Comment 3 Rich Megginson 2011-05-02 11:36:40 EDT
to reproduce:
1) setup windows sync and a sync agreement
2) add a user to the DS side like this
dn: cn=testuser,ou=people,<your suffix>
objectclass: person
objectclass: ntUser
sn: User
givenName: Test
ntUserDomainId: testuser
ntUserCreateNewAccount: TRUE

3) verify that the user entry is created in AD
4) verify the directory server did not crash
Comment 4 Amita Sharma 2011-05-03 02:24:32 EDT
[root@rheltest etc]# ldapadd -x -D "cn=Directory Manager" -w abc -h localhost -p 389 << EOF
> dn: cn=testuser,ou=users,ou=unix,dc=corp,dc=example,dc=com
> objectclass: person
> objectClass: inetorgperson
> objectclass: ntUser
> sn: User
> givenName: Test
> ntUserDomainId: testuser
> ntUserCreateNewAccount: TRUE
> EOF
adding new entry "cn=testuser,ou=users,ou=unix,dc=corp,dc=example,dc=com"

- Entry replicated to AD and no crash found.
hence verified.
Comment 5 errata-xmlrpc 2011-05-19 08:41:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html

Note You need to log in before you can comment on or make changes to this bug.